<?php
//подключаем скрипт вывода виджетов в админке
  		include (get_template_directory() . '/widgets/widgets.php' );
if ( function_exists('register_sidebars') ) {
    register_sidebar(array(
        'name'=>'Menu',
        'before_widget' => '<div class="widget" >',
        'after_widget' => '</div>',
        'before_title' => '<div class="headwidget">',
        'after_title' => '</div>',
    ));
  }
?>
<?php 
// support menu
if (function_exists('add_theme_support')) {
    add_theme_support('menus');
}
//cont popular post
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0";
    }
    return $count;
}
// add adminbar popular wiew post
function get_PostViews($post_ID){
    $count_key = 'post_views_count';
    $count = get_post_meta($post_ID, $count_key, true);
    return $count;
}
function post_column_views($newcolumn){
    $newcolumn['post_views'] = __('Просмотры');
    return $newcolumn;
}
function post_custom_column_views($column_name, $id){
    if($column_name === 'post_views'){
        echo get_PostViews(get_the_ID());
    }
}
add_filter('manage_posts_columns', 'post_column_views');
add_action('manage_posts_custom_column', 'post_custom_column_views',10,2);

//add post-thumbnails
if ( function_exists( 'add_theme_support' ) )
add_theme_support( 'post-thumbnails' );
//get img
function get_post_image() {
global $post, $posts;
$first_img = '';
ob_start();
ob_end_clean();
$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
$first_img = $matches [1] [0];

if(empty($first_img)){
$img_dir = get_bloginfo('template_directory');
$first_img = $img_dir . '/img/no.image.50x50.png';
}
return $first_img;
}
//Display navigation to next/previous post for single post
if ( ! function_exists( 'post_nav' ) ) :
function post_nav() {
	global $post;
	// Don't print empty markup if there's nowhere to navigate.
	$previous = ( is_attachment() ) ? get_post( $post->post_parent ) : get_adjacent_post( false, '', true );
	$next     = get_adjacent_post( false, '', false );

	if ( ! $next && ! $previous )
		return;
	?>
<ul>
<li class="prevpost">
			<?php previous_post_link( '%link', _x( '<i class="icon-prev"></i> %title', 'Previous post link' ) ); ?>
</li>
<?php 
$args0 = array(
	'numberposts'     => 2,//$query_string,
	'offset'          => 0,
	'category'        => '',
	'orderby'         => 'post_date',
	'order'           => 'ASC',
	'include'         => '',
	'exclude'         => '',
	'meta_key'        => '',
	'meta_value'      => '',
	'post_type'       => 'post',
	'post_mime_type'  => '',
	'post_parent'     => '',
	'post_status'     => 'publish'
);
$count=0;
$myposts = get_posts( $args0 );
foreach( $myposts as $post ) :	setup_postdata($post);$count++; ?>
	<li><a href="<?php the_permalink(); ?>"><?php  echo $count; ?></a></li>
<?php endforeach; ?>
<?php 
if(($wp_query->current_post + 1) == ($wp_query->post_count)){
$last = wp_count_posts()->publish;
?>
<li><a href="<?php the_permalink(); ?>"><?php  echo $last; ?></a></li>
<?php  }?>
<li class="nextpost">
			<?php  next_post_link( '%link', _x( '%title <i class="icon-next"></i>', 'Next post link' ) ); ?>
</li>
</ul><!-- nav-links -->
	<?php  
}
endif;

//
//for pagination
function kama_pagenavi($before='', $after='', $echo=true) {
 
	/* ================ Настройки ================ */
	$text_num_page = ''; // текст для количества страниц. {current} заменится текущей, а {last} последней. Пример: 'Страница {current} из {last}' = Страница 4 из 60
	$num_pages = 5; // сколько ссылок показывать
	$stepLink = 8; // после навигации ссылки с определенным шагом (значение = число (какой шаг) или '', если не нужно показывать). Пример: 1,2,3...10,20,30
	$dotright_text = '…'; // промежуточный текст "до".
	$dotright_text2 = '…'; // промежуточный текст "после".
	$backtext = '&#8592; Назад'; // текст "перейти на предыдущую страницу". Ставим '', если эта ссылка не нужна.
	$nexttext = 'Далее →'; // текст "перейти на следующую страницу". Ставим '', если эта ссылка не нужна.
	$first_page_text = ''; // текст "к первой странице" или ставим '', если вместо текста нужно показать номер страницы.
	$last_page_text = ''; // текст "к последней странице" или пишем '', если вместо текста нужно показать номер страницы.
	/* ================ Конец Настроек ================ */ 
 
	global $wp_query;
	$posts_per_page = (int) $wp_query->query_vars[posts_per_page];
	$paged = (int) $wp_query->query_vars[paged];
	$max_page = $wp_query->max_num_pages;
 
	if($max_page <= 1 ) return false; //проверка на надобность в навигации
 
	if(empty($paged) || $paged == 0) $paged = 1;
 
	$pages_to_show = intval($num_pages);
	$pages_to_show_minus_1 = $pages_to_show-1;
 
	$half_page_start = floor($pages_to_show_minus_1/2); //сколько ссылок до текущей страницы
	$half_page_end = ceil($pages_to_show_minus_1/2); //сколько ссылок после текущей страницы
 
	$start_page = $paged - $half_page_start; //первая страница
	$end_page = $paged + $half_page_end; //последняя страница (условно)
 
	if($start_page <= 0) $start_page = 1;
	if(($end_page - $start_page) != $pages_to_show_minus_1) $end_page = $start_page + $pages_to_show_minus_1;
	if($end_page > $max_page) {
		$start_page = $max_page - $pages_to_show_minus_1;
		$end_page = (int) $max_page;
	}
 
	if($start_page <= 0) $start_page = 1;
 
	$out=''; //выводим навигацию
		$out.= $before."<div class='post-navigation'>\n";
				if ($text_num_page){
					$text_num_page = preg_replace ('!{current}|{last}!','%s',$text_num_page);
					$out.= sprintf ("<span class='pages'>$text_num_page</span>",$paged,$max_page);
				}
 
				if ($start_page >= 2 && $pages_to_show < $max_page) {
					$out.= '<a href="'.rtrim(get_pagenum_link(), '/').'">'. ($first_page_text?$first_page_text:1) .'</a>';
					if($dotright_text && $start_page!=2) $out.= '<span class="extend">'.$dotright_text.'</span>';
				}
 
				if ($backtext && $paged!=1) $out.= '<a class="prevlink" href="'.rtrim(get_pagenum_link(($paged-1)), '/').'">'.$backtext.'</a>';
 
				for($i = $start_page; $i <= $end_page; $i++) {
					if($i == $paged) {
						$out.= '<span class="current">'.$i.'</span>';
					} else {
						$out.= '<a href="'.rtrim(get_pagenum_link($i), '/').'">'.$i.'</a>';
					}
				}
 
				if ($nexttext && $paged!=$end_page) $out.= '<a class="nexlink" href="'.get_pagenum_link(($paged+1)).'">'.$nexttext.'</a>';
 
				//ссылки с шагом
				if ($stepLink && $end_page < $max_page){
					for($i=$end_page+1; $i<=$max_page; $i++) {
						if($i % $stepLink == 0 && $i!==$num_pages) {
							if (++$dd == 1) $out.= '<span class="extend">'.$dotright_text2.'</span>';
							$out.= '<a href="'.get_pagenum_link($i).'">'.$i.'</a>';
						}
					}
				}
 
				if ($end_page < $max_page) {
					if($dotright_text && $end_page!=($max_page-1)) $out.= '<span class="extend">'.$dotright_text2.'</span>';
					$out.= '<a href="'.get_pagenum_link($max_page).'">'. ($last_page_text?$last_page_text:$max_page) .'</a>';
				}
 
		$out.= "</div>".$after."\n";
	if ($echo) echo $out;
	else return $out;
}
?>
